/*
Copyright (C) 2003-2004 Douglas Thain and the University of Wisconsin
Copyright (C) 2005- The University of Notre Dame
This software is distributed under a BSD-style license.
See the file COPYING for details.
*/

#ifndef CONFIG_TABLE_H
#define CONFIG_TABLE_H

#include "int_sizes.h"

#define CONFIG_TABLE_LINE_MAX 1024

struct      config_table * config_table_create();
void        config_table_delete( struct config_table *t );
int         config_table_load( struct config_table *t, const char *filename );
int         config_table_save( struct config_table *t, const char *filename );
int         config_table_set( struct config_table *t, const char *key, const char *value );
int         config_table_get( struct config_table *t, const char *key, char **value );
int         config_table_get_int( struct config_table *t, const char *key, INT64_T *value );

#endif
